/**
 * WEBLAB: Service oriented integration platform for media mining and intelligence applications
 * 
 * Copyright (C) 2004 - 2012 CASSIDIAN, an EADS company
 * 
 * This library is free software; you can redistribute it and/or modify it under the terms of
 * the GNU Lesser General Public License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License along with this
 * library; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA 02110-1301 USA
 */
package org.ow2.weblab.rdf;

import java.io.OutputStream;
import java.io.Writer;

import javax.xml.namespace.NamespaceContext;
import javax.xml.stream.XMLEventWriter;
import javax.xml.stream.XMLOutputFactory;
import javax.xml.stream.XMLStreamException;
import javax.xml.stream.XMLStreamWriter;
import javax.xml.transform.Result;


public class LazyXMLParser extends XMLOutputFactory {


	@Override
	public XMLEventWriter createXMLEventWriter(final Result result) throws XMLStreamException {
		return null;
	}


	@Override
	public XMLEventWriter createXMLEventWriter(final OutputStream stream) throws XMLStreamException {
		return null;
	}


	@Override
	public XMLEventWriter createXMLEventWriter(final Writer stream) throws XMLStreamException {
		return null;
	}


	@Override
	public XMLEventWriter createXMLEventWriter(final OutputStream stream, final String encoding) throws XMLStreamException {
		return null;
	}


	@Override
	public XMLStreamWriter createXMLStreamWriter(final Writer stream) throws XMLStreamException {
		// do nothing
		return null;
	}


	@Override
	public XMLStreamWriter createXMLStreamWriter(final OutputStream stream) throws XMLStreamException {
		return null;
	}


	@Override
	public XMLStreamWriter createXMLStreamWriter(final Result result) throws XMLStreamException {
		return new XMLStreamWriter() {


			@Override
			public void writeStartElement(final String prefix, final String localName, final String namespaceURI) throws XMLStreamException {
				// Do nothing
			}


			@Override
			public void writeStartElement(final String namespaceURI, final String localName) throws XMLStreamException {
				// do nothing
			}


			@Override
			public void writeStartElement(final String localName) throws XMLStreamException {
				// do nothing
			}


			@Override
			public void writeStartDocument(final String encoding, final String version) throws XMLStreamException {
				// do nothing
			}


			@Override
			public void writeStartDocument(final String version) throws XMLStreamException {
				// do nothing
			}


			@Override
			public void writeStartDocument() throws XMLStreamException {
				// do nothing
			}


			@Override
			public void writeProcessingInstruction(final String target, final String data) throws XMLStreamException {
				// do nothing
			}


			@Override
			public void writeProcessingInstruction(final String target) throws XMLStreamException {
				// do nothing
			}


			@Override
			public void writeNamespace(final String prefix, final String namespaceURI) throws XMLStreamException {
				// do nothing
			}


			@Override
			public void writeEntityRef(final String name) throws XMLStreamException {
				// do nothing
			}


			@Override
			public void writeEndElement() throws XMLStreamException {
				// do nothing
			}


			@Override
			public void writeEndDocument() throws XMLStreamException {
				// do nothing
			}


			@Override
			public void writeEmptyElement(final String prefix, final String localName, final String namespaceURI) throws XMLStreamException {
				// do nothing
			}


			@Override
			public void writeEmptyElement(final String namespaceURI, final String localName) throws XMLStreamException {
				// do nothing
			}


			@Override
			public void writeEmptyElement(final String localName) throws XMLStreamException {
				// do nothing
			}


			@Override
			public void writeDefaultNamespace(final String namespaceURI) throws XMLStreamException {
				// do nothing
			}


			@Override
			public void writeDTD(final String dtd) throws XMLStreamException {
				// do nothing
			}


			@Override
			public void writeComment(final String data) throws XMLStreamException {
				// do nothing
			}


			@Override
			public void writeCharacters(final char[] text, final int start, final int len) throws XMLStreamException {
				// do nothing
			}


			@Override
			public void writeCharacters(final String text) throws XMLStreamException {
				// do nothing
			}


			@Override
			public void writeCData(final String data) throws XMLStreamException {
				// do nothing
			}


			@Override
			public void writeAttribute(final String prefix, final String namespaceURI, final String localName, final String value) throws XMLStreamException {
				// do nothing
			}


			@Override
			public void writeAttribute(final String namespaceURI, final String localName, final String value) throws XMLStreamException {
				// do nothing
			}


			@Override
			public void writeAttribute(final String localName, final String value) throws XMLStreamException {
				// do nothing
			}


			@Override
			public void setPrefix(final String prefix, final String uri) throws XMLStreamException {
				// do nothing
			}


			@Override
			public void setNamespaceContext(final NamespaceContext context) throws XMLStreamException {
				// do nothing
			}


			@Override
			public void setDefaultNamespace(final String uri) throws XMLStreamException {
				// do nothing
			}


			@Override
			public Object getProperty(final String name) throws IllegalArgumentException {
				return null;
			}


			@Override
			public String getPrefix(final String uri) throws XMLStreamException {
				return null;
			}


			@Override
			public NamespaceContext getNamespaceContext() {
				return null;
			}


			@Override
			public void flush() throws XMLStreamException {
				// do nothing
			}


			@Override
			public void close() throws XMLStreamException {
				// do nothing
			}
		};
	}


	@Override
	public XMLStreamWriter createXMLStreamWriter(final OutputStream stream, final String encoding) throws XMLStreamException {
		return null;
	}


	@Override
	public Object getProperty(final String name) throws IllegalArgumentException {
		return null;
	}


	@Override
	public boolean isPropertySupported(final String name) {
		return false;
	}


	@Override
	public void setProperty(final String name, final Object value) throws IllegalArgumentException {
		// do nothing
	}

}
