/**
 * WEBLAB: Service oriented integration platform for media mining and intelligence applications
 * 
 * Copyright (C) 2004 - 2011 CASSIDIAN
 * 
 * This library is free software; you can redistribute it and/or modify it under the terms of
 * the GNU Lesser General Public License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License along with this
 * library; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA 02110-1301 USA
 */

package org.ow2.weblab.core.helper.impl;

import java.io.File;

import junit.framework.Assert;

import org.junit.Test;
import org.ow2.weblab.core.extended.exception.WebLabCheckedException;
import org.ow2.weblab.core.extended.jaxb.WebLabMarshaller;
import org.ow2.weblab.core.model.Resource;

/**
 */
public class JenaSingleResourceHelperTest {


	@Test
	public void testJenaSingleResourceHelper() throws WebLabCheckedException {
		final Resource res = new WebLabMarshaller().unmarshal(new File("src/test/resources/res.xml"), Resource.class);
		final JenaSingleResourceHelper h = new JenaSingleResourceHelper(res);
		Assert.assertNotNull(h);

		final Resource res2 = new WebLabMarshaller().unmarshal(new File("src/test/resources/res.xml"), Resource.class);
		final JenaSingleResourceHelper h2 = new JenaSingleResourceHelper(res2);
		Assert.assertNotNull(h2);

		Assert.assertTrue(h.getInnerJenaModel().isIsomorphicWith(h2.getInnerJenaModel()));
		Assert.assertTrue(h2.getInnerJenaModel().isIsomorphicWith(h.getInnerJenaModel()));
	}


}
